package ru.dbotthepony.mc.otm.client.screen;

import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.TranslatableComponent;
import net.minecraft.world.entity.player.Inventory;
import ru.dbotthepony.mc.otm.client.screen.panels.Dock;
import ru.dbotthepony.mc.otm.client.screen.panels.FramePanel;
import ru.dbotthepony.mc.otm.client.screen.panels.Label;
import ru.dbotthepony.mc.otm.menu.EnergyCounterMenu;
import ru.dbotthepony.mc.otm.menu.FormattingHelper;

import javax.annotation.Nullable;

public class EnergyCounterScreen extends MatteryScreen<EnergyCounterMenu> {
	public EnergyCounterScreen(EnergyCounterMenu menu, Inventory inventory, Component title) {
		super(menu, inventory, title);
	}

	@Nullable
	@Override
	protected FramePanel makeMainFrame() {
		var frame = super.makeMainFrame();

		var label = new Label(this, frame) {
			@Override
			public void tick() {
				super.tick();

				setText(new TranslatableComponent("otm.item.power.passed", FormattingHelper.formatPower(menu.passed.getDecimal())));
			}
		};

		label.setDock(Dock.TOP);

		return frame;
	}
}
